Bug 243141 - science/py-veusz: fix build on powerpc64 elfv2
Summary: science/py-veusz: fix build on powerpc64 elfv2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: powerpc Any
: --- Affects Only Me
Assignee: Piotr Kubaj
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-06 22:22 UTC by Piotr Kubaj
Modified: 2020-01-11 14:08 UTC (History)
2 users (show)

See Also:
yuri: maintainer-feedback+


Attachments
patch (881 bytes, patch)
2020-01-06 22:22 UTC, Piotr Kubaj
pkubaj: maintainer-approval? (yuri)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2020-01-06 22:22:25 UTC
Created attachment 210489 [details]
patch

This port has the same problem as all GCC ports on powerpc64 elfv2 - namespace collision with vec_step variable.

More information in GCC PR at https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=239266.
Comment 1 commit-hook freebsd_committer 2020-01-07 11:50:42 UTC
A commit references this bug:

Author: pkubaj
Date: Tue Jan  7 11:49:57 UTC 2020
New revision: 522330
URL: https://svnweb.freebsd.org/changeset/ports/522330

Log:
  science/py-veusz: fix build on powerpc64 elfv2

  This port has the same problem as all GCC ports on powerpc64 elfv2 - namespace collision with vec_step variable.

  PR:		243141
  Approved by:	yuri (maintainer)

Changes:
  head/science/py-veusz/files/patch-veusz_helpers_src_threed_objects.cpp